[Overview][Types][Classes][Index] | Reference for unit '_crw_if_masters' (#crwlib)

# TInterfacedMasterObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_if_masters.pas line 43

`type TInterfacedMasterObject = class(TMasterObject, IUnknown)`
`protected`
`function QueryInterface();`
`function _AddRef;`
`function _Release;`
`public`
`destructor Destroy; override;`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`class function NewInstance; override;`
`property RefCount: LongInt; [r]`
`end;`

## Inheritance

`TInterfacedMasterObject,IUnknown`
`TMasterObject`
`TObject`